*******************************************************************************
*                          68008 Grundprogramm clut                           *
*                         (C) 1990 Ralph Dombrowski                           *
*                             2007 Jens Mewes                                 *
*                                 Rev 7.00                                    *
*                                01.09.2007                                   *
*                              Clut-Routinen                                  *
*******************************************************************************



clutinit:                       * CLUT initialisieren
 movem.l d0-d4/a0,-(a7)
 move.b #$ff,clutm.w            * Maske
 clr.b cluta.w                  * Mit Farbe 0 beginnen
 lea clutw.w,a0
 clr d4                         * Mit Farbe 0 beginnen
clutinlp:
 move d4,d0
 move d0,d1                     * Rot
 and #3,d1
 mulu #17,d1                    * Maximal 63
 lsr #2,d0
 move d0,d2                     * Grn
 and #3,d2
 mulu #17,d2                    * Maximal 63
 lsr #2,d0
 move d0,d3                     * Blau
 and #3,d3
 mulu #17,d3                    * Maximal 63
 and #3*4,d0                    * Grau
 add d0,d1                      * Rot+Grau
 move.b d1,(a0)                 * Einstellen
 add d0,d2                      * Grn+Grau
 move.b d2,(a0)                 * Einstellen
 add d0,d3                      * Blau+Grau
 move.b d3,(a0)                 * Einstellen
 addq #1,d4                     * Nchste Farbe
 cmp #256,d4                    * Bis alle Farben initialisiert sind
bne.s clutinlp
 movem.l (a7)+,d0-d4/a0
rts

clut:                           * Farben der CLUT beliebig einstellen
 movem.l d0/a1,-(a7)
 move.b (a0)+,clutm.w           * Maske einstellen
 move.b (a0)+,cluta.w           * Anfangsfarbe einstellen
 lea clut.w,a1
 move.b (a0)+,d0                * Ersten Wert holen
clutlp:
 move.b d0,(a1)                 * Farbwert einstellen
 move.b (a0)+,d0                * Nchste Farbe holen
 bpl.s clutlp                   * Negativer Wert bricht ab
 movem.l (a7)+,d0/a1
rts
