*******************************************************************************
*                          68008 Grundprogramm graf                           *
*                         (C) 1990 Ralph Dombrowski                           *
*                             2007 Jens Mewes                                 *
*                                 Rev 7.00                                    *
*                                01.09.2007                                   *
*           Grafik-Paket fr GDP und COL256   ( allgemeine-Routinen )         *
*******************************************************************************

grafik:                         * Grafik-Paket fr GDP und COL
 move d0,d7                     * d7 wird immer zerstrt/a6 kann zerstrt werden
 and #$1f,d7                    * berall aktueller Penmodus wirksam
 add d7,d7                      * Gleiche Aufrufe fr COL und GDP
 add.b grafflag(a5),d7          * Auswahl GDP oder COL
 add d7,d7                      * GDP(512*512) 2 Farben / COL(512*512) 16 Farben
 move grtab(pc,d7),d7
 jmp grtab(pc,d7)               * Programm aufrufen

grtab:
 dc.w gr1p0-grtab,gr2p0-grtab   * d0=0 Punkt setzen
 dc.w gr1p1-grtab,gr2p1-grtab   * d0=1 Linie zeichnen
 dc.w gr1p2-grtab,gr2p2-grtab   * d0=2 Linienfolge zeichnen
 dc.w gr1p3-grtab,gr2p3-grtab   * d0=3 Quadrat leer
 dc.w gr1p4-grtab,gr2p4-grtab   * d0=4 Quadrat voll
 dc.w gr1p5-grtab,gr2p5-grtab   * d0=5 Rechteck leer
 dc.w gr1p6-grtab,gr2p6-grtab   * d0=6 Rechteck voll
 dc.w gr1p7-grtab,gr2p7-grtab   * d0=7 Kreis leer
 dc.w gr1p8-grtab,gr2p8-grtab   * d0=8 Kreis voll
 dc.w gr1p9-grtab,gr2p9-grtab   * d0=9 Elipse leer
 dc.w gr1p10-grtab,gr2p10-grtab * d0=10 Elipse voll
 dc.w gr1p11-grtab,gr2p11-grtab * d0=11 Flche fllen (Nur neue GDP)
 dc.w gr1p12-grtab,gr2p12-grtab * d0=12 Seite in Farbe ohne XOR l schen
 dc.w gr1p13-grtab,gr2p13-grtab * d0=13 Seite anw hlen
 dc.w gr1p14-grtab,gr2p14-grtab * d0=14 Seite abfragen
 dc.w gr1p15-grtab,gr2p15-grtab * d0=15 Farbe / Verknpfungsmode setzen
 dc.w gr1p16-grtab,gr2p16-grtab * d0=16 Farbe / Verknpfungsmode lesen
 dc.w gr1p17-grtab,gr2p17-grtab * d0=17 Scrollen (Nur neue GDP)
 dc.w gr1p18-grtab,gr2p18-grtab * d0=18 Scrollwert holen (Nur neue GDP)
 dc.w gr1p19-grtab,gr2p19-grtab * d0=19 Einen Punkt holen (Nur neue GDP)
 dc.w gr1p20-grtab,gr2p20-grtab * d0=20 Hardcopy erstellen (Neue GDP)
 dc.w gr1p21-grtab,gr2p21-grtab * d0=21 Bild laden
 dc.w gr1p22-grtab,gr2p22-grtab * d0=22 Bild wandeln ( COL<->GDP )
 dc.w gr1p23-grtab,gr2p23-grtab * d0=23 Text ausgeben
 dc.w gr1p24-grtab,gr2p24-grtab * d0=24 Progzge mit Voreinstellungen
 dc.w grp25-grtab,grp25-grtab   * d0=25 Tabelle der Zeichen ermitteln
 dc.w carset-grtab,carset-grtab * d0=26 frei
 dc.w carset-grtab,carset-grtab * d0=27 frei
 dc.w carset-grtab,carset-grtab * d0=28 frei
 dc.w carset-grtab,gr2p29-grtab * d0=29 Adresse der COL-Karte einstellen
 dc.w grp30-grtab,grp30-grtab   * d0=30 Grafik-Karte auswhlen
 dc.w grp31-grtab,grp31-grtab   * d0=31 Grafik-Karte lesen


