*******************************************************************************
*                         68008 Grundprogramm relais                          *
*                         (C) 1990 Ralph Dombrowski                           *
*                             2007 Jens Mewes                                 *
*                                 Rev 7.00                                    *
*                                01.09.2007                                   *
*                             Relais-Routinen                                 *
*******************************************************************************



relais:                         * In a0 steht Adresse
 movem.l d1/d2,-(a7)            * d0.b = Wert (Jedes Bit bestimmt ein Relais)
 moveq #8-1,d1                  * d0 = 1 aus Tabelle (a1)
relaisa:                        * <-- Nur fr 68008
 move d1,d2                     * Bit-Nummer
 add d2,d2
 btst d1,d0                     * Bit testen
 beq.s relaisb                  * Relais rcksetzen
 addq #1,d2                     * Relais setzen
relaisb:
 move.b d2,(a0)                 * Relais einstellen
dbra d1,relaisa
 movem.l (a7)+,d1/d2
rts

relaisin:                       * Wert vom Port der Relaiskarte lesen
 moveq #0,d0                    * d0.l gltig
 move.b (a0),d0                 * <-- Nur fr 68008
rts
